libnl: MACsec

libnl 3.10.0

MACsec
Routing Library (libnl-route) » Links (Interfaces)

MACsec link module More...

## MACsec Object
struct rtnl_link * | rtnl_link_macsec_alloc (void)
int | rtnl_link_macsec_set_sci (struct rtnl_link *link, uint64_t sci)
| Set SCI.
int | rtnl_link_macsec_get_sci (struct rtnl_link *link, uint64_t *sci)
| Get SCI.
int | rtnl_link_macsec_set_port (struct rtnl_link *link, uint16_t port)
| Set port identifier.
int | rtnl_link_macsec_get_port (struct rtnl_link *link, uint16_t *port)
| Get port identifier.
int | rtnl_link_macsec_set_cipher_suite (struct rtnl_link *link, uint64_t cipher_suite)
int | rtnl_link_macsec_get_cipher_suite (struct rtnl_link *link, uint64_t *cs)
int | rtnl_link_macsec_set_icv_len (struct rtnl_link *link, uint16_t icv_len)
int | rtnl_link_macsec_get_icv_len (struct rtnl_link *link, uint16_t *icv_len)
int | rtnl_link_macsec_set_protect (struct rtnl_link *link, uint8_t protect)
int | rtnl_link_macsec_get_protect (struct rtnl_link *link, uint8_t *protect)
int | rtnl_link_macsec_set_encrypt (struct rtnl_link *link, uint8_t encrypt)
int | rtnl_link_macsec_get_encrypt (struct rtnl_link *link, uint8_t *encrypt)
int | rtnl_link_macsec_set_offload (struct rtnl_link *link, uint8_t offload)
int | rtnl_link_macsec_get_offload (struct rtnl_link *link, uint8_t *offload)
int | rtnl_link_macsec_set_encoding_sa (struct rtnl_link *link, uint8_t encoding_sa)
int | rtnl_link_macsec_get_encoding_sa (struct rtnl_link *link, uint8_t *encoding_sa)
int | rtnl_link_macsec_set_validation_type (struct rtnl_link *link, enum macsec_validation_type validate)
int | rtnl_link_macsec_get_validation_type (struct rtnl_link *link, enum macsec_validation_type *validate)
int | rtnl_link_macsec_set_replay_protect (struct rtnl_link *link, uint8_t replay_protect)
int | rtnl_link_macsec_get_replay_protect (struct rtnl_link *link, uint8_t *replay_protect)
int | rtnl_link_macsec_set_window (struct rtnl_link *link, uint32_t window)
int | rtnl_link_macsec_get_window (struct rtnl_link *link, uint32_t *window)
int | rtnl_link_macsec_set_send_sci (struct rtnl_link *link, uint8_t send_sci)
int | rtnl_link_macsec_get_send_sci (struct rtnl_link *link, uint8_t *send_sci)
int | rtnl_link_macsec_set_end_station (struct rtnl_link *link, uint8_t end_station)
int | rtnl_link_macsec_get_end_station (struct rtnl_link *link, uint8_t *es)
int | rtnl_link_macsec_set_scb (struct rtnl_link *link, uint8_t scb)
int | rtnl_link_macsec_get_scb (struct rtnl_link *link, uint8_t *scb)

## Detailed Description

MACsec link module

Link Type Name: "macsec"

MACsec Documentation (Netlink Routing Development Guide)

## Function Documentation

## ◆ rtnl_link_macsec_alloc()

struct rtnl_link * rtnl_link_macsec_alloc | ( | void |  | ) |

Definition at line 444 of file macsec.c.

## ◆ rtnl_link_macsec_set_sci()

int rtnl_link_macsec_set_sci | ( | struct rtnl_link * | link,
|  | uint64_t | sci )

Set SCI.

Parameters

  link | Link object
  sci | Secure Channel Identifier in network byte order

Returns
  0 on success or a negative error code.

Definition at line 466 of file macsec.c.

## ◆ rtnl_link_macsec_get_sci()

int rtnl_link_macsec_get_sci | ( | struct rtnl_link * | link,
|  | uint64_t * | sci )

Get SCI.

Parameters

  link | Link object
  sci | On return points to the Secure Channel Identifier in network byte order

Returns
  0 on success or a negative error code.

Definition at line 486 of file macsec.c.

## ◆ rtnl_link_macsec_set_port()

int rtnl_link_macsec_set_port | ( | struct rtnl_link * | link,
|  | uint16_t | port )

Set port identifier.

Parameters

  link | Link object
  port | Port identifier in host byte order

Returns
  0 on success or a negative error code.

Definition at line 508 of file macsec.c.

## ◆ rtnl_link_macsec_get_port()

int rtnl_link_macsec_get_port | ( | struct rtnl_link * | link,
|  | uint16_t * | port )

Get port identifier.

Parameters

  link | Link object
  port | On return points to the port identifier in host byte order

Returns
  0 on success or a negative error code.

Definition at line 527 of file macsec.c.

## ◆ rtnl_link_macsec_set_cipher_suite()

int rtnl_link_macsec_set_cipher_suite | ( | struct rtnl_link * | link,
|  | uint64_t | cipher_suite )

Definition at line 542 of file macsec.c.

## ◆ rtnl_link_macsec_get_cipher_suite()

int rtnl_link_macsec_get_cipher_suite | ( | struct rtnl_link * | link,
|  | uint64_t * | cs )

Definition at line 554 of file macsec.c.

## ◆ rtnl_link_macsec_set_icv_len()

int rtnl_link_macsec_set_icv_len | ( | struct rtnl_link * | link,
|  | uint16_t | icv_len )

Definition at line 569 of file macsec.c.

## ◆ rtnl_link_macsec_get_icv_len()

int rtnl_link_macsec_get_icv_len | ( | struct rtnl_link * | link,
|  | uint16_t * | icv_len )

Definition at line 584 of file macsec.c.

## ◆ rtnl_link_macsec_set_protect()

int rtnl_link_macsec_set_protect | ( | struct rtnl_link * | link,
|  | uint8_t | protect )

Definition at line 599 of file macsec.c.

## ◆ rtnl_link_macsec_get_protect()

int rtnl_link_macsec_get_protect | ( | struct rtnl_link * | link,
|  | uint8_t * | protect )

Definition at line 614 of file macsec.c.

## ◆ rtnl_link_macsec_set_encrypt()

int rtnl_link_macsec_set_encrypt | ( | struct rtnl_link * | link,
|  | uint8_t | encrypt )

Definition at line 629 of file macsec.c.

## ◆ rtnl_link_macsec_get_encrypt()

int rtnl_link_macsec_get_encrypt | ( | struct rtnl_link * | link,
|  | uint8_t * | encrypt )

Definition at line 644 of file macsec.c.

## ◆ rtnl_link_macsec_set_offload()

int rtnl_link_macsec_set_offload | ( | struct rtnl_link * | link,
|  | uint8_t | offload )

Definition at line 659 of file macsec.c.

## ◆ rtnl_link_macsec_get_offload()

int rtnl_link_macsec_get_offload | ( | struct rtnl_link * | link,
|  | uint8_t * | offload )

Definition at line 671 of file macsec.c.

## ◆ rtnl_link_macsec_set_encoding_sa()

int rtnl_link_macsec_set_encoding_sa | ( | struct rtnl_link * | link,
|  | uint8_t | encoding_sa )

Definition at line 686 of file macsec.c.

## ◆ rtnl_link_macsec_get_encoding_sa()

int rtnl_link_macsec_get_encoding_sa | ( | struct rtnl_link * | link,
|  | uint8_t * | encoding_sa )

Definition at line 701 of file macsec.c.

## ◆ rtnl_link_macsec_set_validation_type()

int rtnl_link_macsec_set_validation_type | ( | struct rtnl_link * | link,
|  | enum macsec_validation_type | validate )

Definition at line 716 of file macsec.c.

## ◆ rtnl_link_macsec_get_validation_type()

int rtnl_link_macsec_get_validation_type | ( | struct rtnl_link * | link,
|  | enum macsec_validation_type * | validate )

Definition at line 731 of file macsec.c.

## ◆ rtnl_link_macsec_set_replay_protect()

int rtnl_link_macsec_set_replay_protect | ( | struct rtnl_link * | link,
|  | uint8_t | replay_protect )

Definition at line 746 of file macsec.c.

## ◆ rtnl_link_macsec_get_replay_protect()

int rtnl_link_macsec_get_replay_protect | ( | struct rtnl_link * | link,
|  | uint8_t * | replay_protect )

Definition at line 761 of file macsec.c.

## ◆ rtnl_link_macsec_set_window()

int rtnl_link_macsec_set_window | ( | struct rtnl_link * | link,
|  | uint32_t | window )

Definition at line 776 of file macsec.c.

## ◆ rtnl_link_macsec_get_window()

int rtnl_link_macsec_get_window | ( | struct rtnl_link * | link,
|  | uint32_t * | window )

Definition at line 788 of file macsec.c.

## ◆ rtnl_link_macsec_set_send_sci()

int rtnl_link_macsec_set_send_sci | ( | struct rtnl_link * | link,
|  | uint8_t | send_sci )

Definition at line 803 of file macsec.c.

## ◆ rtnl_link_macsec_get_send_sci()

int rtnl_link_macsec_get_send_sci | ( | struct rtnl_link * | link,
|  | uint8_t * | send_sci )

Definition at line 818 of file macsec.c.

## ◆ rtnl_link_macsec_set_end_station()

int rtnl_link_macsec_set_end_station | ( | struct rtnl_link * | link,
|  | uint8_t | end_station )

Definition at line 833 of file macsec.c.

## ◆ rtnl_link_macsec_get_end_station()

int rtnl_link_macsec_get_end_station | ( | struct rtnl_link * | link,
|  | uint8_t * | es )

Definition at line 848 of file macsec.c.

## ◆ rtnl_link_macsec_set_scb()

int rtnl_link_macsec_set_scb | ( | struct rtnl_link * | link,
|  | uint8_t | scb )

Definition at line 863 of file macsec.c.

## ◆ rtnl_link_macsec_get_scb()

int rtnl_link_macsec_get_scb | ( | struct rtnl_link * | link,
|  | uint8_t * | scb )

Definition at line 878 of file macsec.c.